function none(assertions){
    if (!assertions) {
        throw new Error('assertions undefined')
    }

    assertions = Array.isArray(assertions) ? assertions : [assertions];

    return function(item){
        return ! assertions.reduce(function(prev, assertion){
            if (prev) { return true; }

            return assertion(item);
        }, false);
    }
}

module.exports = none;